Jump to content
Sign in to follow this  
Pratch

Weapons pack problem

Recommended Posts

I installed the weapons pack and it appeared to work fine. Weapons such as the CBU-72 FAE and the incendiary bombs weren't working,but I adjusted the aircraft data files and they were fine because the aircraft weren't configured to carry them. The only weapon the refuses to work at all is the AIM-120. I've tried adjusting the service dates in the weapons data file (this fixed the AIM-54) but it still refuses to appear. Does anyone know how to fix this problem?

Share this post


Link to post
Share on other sites

What aircraft are you having problems loading it on to?

If it is something like the stock F-4's or some of the other modern jets that are avilable for download here you need to make sure that in the aircraft's data.ini file under the section about the weapons stations are configured right to load up the AMRAAM. Since the AMRAAM is listed as an Active Homing Missiles or AHM by the program. Under the weapons station line called "AllowedWeaponClass=" put in the code "AHM" and you should be able to start carrying AMRAAMs. The other thing that I personally due as well when I make changes like that to the weapons station to increase the type of weapons it can carry I also fine the line about load limit for the station and bump it up. If you check out the section called knowledge base under the SFP1/WOV/WOE/FE forums there is a whole article there on how to edit the weapon stations section of your aircrafts data ini.

 

 

Here is an example of what you can do after tweaking some things in the data.ini. I download the F3D Skynight from this website and after altering how late is served (I changed it 2068 :rolleyes: ) and tweaked the weapon station lines it can now dual rail Sidewinders and carry AMRAAM.

F3DAmraam.JPG

Share this post


Link to post
Share on other sites

I've read the article in the knowledge base. It's very useful but I still can't load AMRAAMs. The allowed weapons classes definitely include AHM. I will try increasing the load limit next but it already says 500, which is more the enough to carry the AMRAAM.

Share this post


Link to post
Share on other sites

i have that problem with sfp1. in single mission the aim-120 does not appear. when i make a campaign and add it to the upgrade data it becomes available. perhaps the single mission data assigns the aim120 a quantity of zero (?)

Share this post


Link to post
Share on other sites

If you load a single mission and head over to the loadout page. On the clipboard do you see AIM-120's avilable? Because something else you could try is going back into the weapons editor and checking to make sure that avilability is something other then rare or very rare, also make sure that your export avilablity is something other then rare or very rare as well.

 

The biggest thing that would help again is what airplane are you having problems with?

Share this post


Link to post
Share on other sites

I'm getting this problem with all aircraft in single mission mode. I haven't checked campaign mode yet. The aircraft I'm trying to load it on are the stock F-4s, stock F-15 and an F/A-18A add-on. I'll change the in-service dates and check campaign mode next. All my saved campaigns are currently pre-weapons pack.

Share this post


Link to post
Share on other sites

The F-18A add-on from Mirage Factory comes already configured to handle AMRAAM's. So I don't know off hand what the problem is there nor with the stock F-4's.

 

[sparrowStation1]SystemType=WEAPON_STATION

StationID=6

StationGroupID=4

StationType=SEMI_RECESSED

AttachmentPosition=-0.501,5.07,-0.84

AttachmentAngles=2.0,0.0,2.0

MissileRollAngle=45.0

EjectVelocity=0.0,0.0,-2.0

LoadLimit=231.5

AllowedWeaponClass=SAHM,AHM

AttachmentType=NATO,USN

MinExtentPosition=

MaxExtentPosition=

 

I was able to add without a problem the AHM line and my F-4B in WOE was able to carry an AMRAAM in that station with out a problem.

Share this post


Link to post
Share on other sites

In what order did you install everything? Do you install the weapons pack last. According to all my .ini files, everything should work fine. The F/A-18A from Mirage factory can't handle AMRAAMs despite the fact that the AHM line is in the allowed weapon class. The AIM-54A/B work fine but the C version doesn't want to work either.

Share this post


Link to post
Share on other sites

As an experiment, I adjusted the F/A-18s loadout.ini file. The AMRAAM has a model name AIM120x where x is the version I'm trying to use. I set it up with the AIM-120C, model name AIM120C. It didn't work, the hardpoints were empty at the loadout screen. The Sparrow missiles appear to work, except for the AIM-7P. The difference between the two missiles is that the model name for the Sparrow is AIM-7 and the name for the AMRAAM is AIM120. Could this be what is causing the problem for me?

Share this post


Link to post
Share on other sites

Pratch,

I have been thinking about the issues you have. I would try this and see what would happen.

  1. Uninstall the game
  2. Copy out the aircraft/terrain/menu/sound mods you have to a seperate directory. Big thing here don't save the weapons directory.
  3. Delete the game's directory. Since the uninstall feature just removes the files in the directory
  4. Then reinstall the game
  5. Copy over your aircraft/terrain/menu/sound mods that you had saved
  6. Finally taking the latest weapon pack you have and install that.

It is starting to sound more and more like something in the weapon_data.ini is corrupted. That might also fix your issues with the CBU-72 as well.

Share this post


Link to post
Share on other sites

I've been starting to think the same. I'm going to uninstall everything and start again. At one point, I'm almost certain that something was corrupt because suddenly I had no weapons for anything. I will install WOV/WOE and then the mods. I've got backups of all the mod/add-on installation files, so I might as well remove them in case something else is corrupt.

 

Am I correct in thinking that the latest weapons pack is the 3rd July 2006 version?

Share this post


Link to post
Share on other sites

I dont know if its a weapons problem pack problem but I cant get anything to be availble for loading for any MIG-21 besides fuel tanks and I have serveral MIG-21 versions installed. I've compared the Data.ini with others and also went to weapons pack Wiki page. I still get anthing to show up in the loadout screen.

Edited by herman01

Share this post


Link to post
Share on other sites

This is one of the many problems I'm experiencing. I'm in the process of starting from scratch with a clean install. I've currently got WOV/WOE installed and the F/A-18A add-on from Miragefactory.

 

This was in the F/A-18As readme:

 

Weapons add

 

the best way is use the WeaponPack release somes days after Hornet.

 

if you can't wait, use last weapon editor from ThirdWire and import

FA-18_Weapondata.ini (you can found this file in weapons directory)

in your weapondata.ini.

 

Would this be related to my problem because I installed the weapons pack before the add-on aircraft?

Share this post


Link to post
Share on other sites
I dont know if its a weapons problem pack problem but I cant get anything to be availble for loading for any MIG-21 besides fuel tanks and I have serveral MIG-21 versions installed. I've compared the Data.ini with others and also went to weapons pack Wiki page. I still get anthing to show up in the loadout screen.

 

The weapons pack use the correct soviet names ie:

 

[AirToAir]

Loadout[01].WeaponType=R-3S

Loadout[01].Quantity=1

Loadout[02].WeaponType=R-3S

Loadout[02].Quantity=1

Loadout[03].WeaponType=Tank490_MiG21

Loadout[03].Quantity=1

 

The above is what the weapons pack uses....

 

 

[AirToAir]

Loadout[01].WeaponType=AA-2 <----------

Loadout[01].Quantity=1

Loadout[02].WeaponType=AA-2 <----------

Loadout[02].Quantity=1

Loadout[03].WeaponType=Tank490_MiG21

Loadout[03].Quantity=1

 

If you see this in there and you have the weps pack installed that is why its not working. R-3S = AA-2 Atoll

 

Also in the data.ini on Russian aircraft make sure you Attachment type is set to SOVIET.

 

Pratch what sim are you using? Did you change the default years for the entire sim?

Share this post


Link to post
Share on other sites
As an experiment, I adjusted the F/A-18s loadout.ini file. The AMRAAM has a model name AIM120x where x is the version I'm trying to use. I set it up with the AIM-120C, model name AIM120C. It didn't work, the hardpoints were empty at the loadout screen.

You don't put the model name in the loadout.ini, you put the weapon name , not the full name , just the name. Open up the weapondata.ini with the weapon editor, select the AIM-120C and it should be there.

 

Good luck!

Share this post


Link to post
Share on other sites

Problem solved, at last! I'm not quite sure what the problem was and I don't think I ever will be. It turned out that after making a clean install of WOE, then adding aircraft and finally adding the weapons pack, whatever got corrupted was put right. I also opened up each AMRAAM variant and the weapons editor and pressed save, exactly what the article in the knowledge base says. The AMRAAMs now appear in the loadout screen and work!

 

The thread below is the knowledge base article I'm referring to.

 

http://forum.combatace.com/index.php?showtopic=9323

Share this post


Link to post
Share on other sites

Good to hear Pratch. Like I said I think the weapons_data.ini got corrupted somehow. It happened to me once with just Strike Fighters Gold. I had installed the F-106A and had installed the weapons like it said then I couldn't load a large amount of the weapons on any aircraft. I had to do a clean install and then found out that I was also operating under an older verison of the weapons pack. So d/l'd the latest and greatest and was happy as clam. I also learned something from that event as well. Before installing a new bird/mod/tool/whatever, back up what I have. Install the new toy. If it causes problems then I know what exactly caused the problems and will remove it. If not then when I do have to do a clean install then at least all the stuff from before I don't have to re-install all over again (it can eat up a couple of hours pretty quick)

Share this post


Link to post
Share on other sites

Everything works fine, except for the F/A-18 Hornet. When I put AHM into the allowed weapons class, I am suddenly able to load AIM-54 Phoenix missiles, but not AMRAAMs. I'm not too bothered really, because every other aircraft works fine and I don't wan't to have to reinstall the whole lot again.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

By using this site, you agree to our Terms of Use, Privacy Policy, and We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue..